Debian Bug report logs - #697593
ITP: laborejo -- music notation workshop

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alessio Treglia <alessio@debian.org>

Date: Mon, 7 Jan 2013 12:24:01 UTC

Owned by: Alessio Treglia <alessio@debian.org>

Severity: wishlist

Fixed in version laborejo/0.4.0~ds0-1

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, ich@nilsgey.de, wnpp@debian.org:
Bug#697593; Package wnpp. (Mon, 07 Jan 2013 12:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, ich@nilsgey.de, wnpp@debian.org. (Mon, 07 Jan 2013 12:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: laborejo -- music notation workshop
Date: Mon, 07 Jan 2013 12:21:29 +0000
Package: wnpp
Severity: wishlist
Owner: Alessio Treglia <alessio@debian.org>

* Package name    : laborejo
  Version         : 0.4.0
  Upstream Author : Nils Gey <ich@nilsgey.de>
* URL             : http://www.laborejo.org/
* License         : GPL
  Programming Lang: Python
  Description     : music notation workshop

 Laborejo, Esperanto for "Workshop", is used to craft
 music through notation. It is a Lilypond GUI frontend,
 a MIDI creator and finally a tool collection to inspire
 and help one to compose music. It works by reducing
 music-redundancy and by seperating layout and data.
 .
 Laborejo provides many features:
  * Unlimited tracks/staffs, voices, items.
  * Input via Keyboard, Mouse or MIDI.
  * Flexibel and fast shortcut and configuring system.
  * Portable, as few dependencies as possible.
  * PDF generation, ready-to-print, through Lilypond.
  * Separation of editing and note/data entry and layout.
  * MIDI file generation.
  * Playback through JACK.
  * Control over performance from a global level (e.g.
    change how long non-legato notes or fermatas are) to
    detailed, technical tweaks like MIDI CC messages.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alessio Treglia <alessio@debian.org>:
Bug#697593; Package wnpp. (Mon, 07 Jan 2013 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nils Gey <info@laborejo.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alessio Treglia <alessio@debian.org>. (Mon, 07 Jan 2013 15:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 697593@bugs.debian.org (full text, mbox):

From: Nils Gey <info@laborejo.org>
To: Alessio Treglia <alessio@debian.org>, 697593@bugs.debian.org
Subject: Re: Bug#697593: ITP: laborejo -- music notation workshop
Date: Mon, 7 Jan 2013 16:32:27 +0100
On Mon, 07 Jan 2013 12:21:29 +0000
Alessio Treglia <alessio@debian.org> wrote:

> Package: wnpp
> Severity: wishlist
> Owner: Alessio Treglia <alessio@debian.org>
> 
> * Package name    : laborejo
>   Version         : 0.4.0
>   Upstream Author : Nils Gey <ich@nilsgey.de>
> * URL             : http://www.laborejo.org/
> * License         : GPL
>   Programming Lang: Python
>   Description     : music notation workshop

Hello,

I am not quite sure what this mail meant. I guess it is a package request for Debian.

While this makes me proud and happy I do advice against it at the moment.
Laborejo is Alpha state which means with just the next release all your saved files may not be able to be loaded again.

But if this is not a concern, please go on. Two corrections:

1) while ich@nilsgey.de is indeed my mail adress it is better to use info@laborejo.org here.
2) Mabe it is better to accurately specify "Python 3" as programming langugage since my program simply does not run with Py2. 

Nils,
Laborejo One-Man-Team





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 07 Jan 2013 16:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697593; Package wnpp. (Mon, 07 Jan 2013 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 07 Jan 2013 19:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 697593@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Nils Gey <info@laborejo.org>
Cc: 697593@bugs.debian.org
Subject: Re: Bug#697593: ITP: laborejo -- music notation workshop
Date: Mon, 7 Jan 2013 19:53:26 +0000
Hello Nils,

On Mon, Jan 7, 2013 at 3:32 PM, Nils Gey <info@laborejo.org> wrote:
> I am not quite sure what this mail meant. I guess it is a package request for Debian.

Yes, it is an Intent To Package report, which means someone's doing the
packaging and intends to upload it to Debian NEW as soon as possible [1].

> While this makes me proud and happy I do advice against it at the moment.
> Laborejo is Alpha state which means with just the next release all your saved files may not be able to be loaded again.

I am aware of that, but even though it is still in an alpha state it looks to me
enough usable. You, as upstream, will have a lot of time from now on to make
it ready for the next Wheezy+1 stable release.

> 1) while ich@nilsgey.de is indeed my mail adress it is better to use info@laborejo.org here.

OK, I've taken a note about that.

> 2) Mabe it is better to accurately specify "Python 3" as programming langugage since my program simply does not run with Py2.

The above was just a general description of what I'm going to package, so the
specific version of the interpreter does not matter there.
Of course I set the right version in the debian/control file in order
to make the
buildsystem properly compute the dependencies. BTW, you may find my work
on the packaging here [2].

I'll let you know when the package's officially joined the Debian System, thanks
for the quick reply and

   Cheers!


[1] Actually I've already uploaded your latest 0.4.0 release to Debian
unstable, if
everything goes fine it will (sooner or later) join Debian unstable.
[2] http://anonscm.debian.org/gitweb/?p=pkg-multimedia/laborejo.git

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A



Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Wed, 03 Apr 2013 23:03:35 GMT) Full text and rfc822 format available.

Notification sent to Alessio Treglia <alessio@debian.org>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 23:03:35 GMT) Full text and rfc822 format available.

Message #22 received at 697593-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 697593-close@bugs.debian.org
Subject: Bug#697593: fixed in laborejo 0.4.0~ds0-1
Date: Wed, 03 Apr 2013 23:00:15 +0000
Source: laborejo
Source-Version: 0.4.0~ds0-1

We believe that the bug you reported is fixed in the latest version of
laborejo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697593@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated laborejo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 Jan 2013 10:48:21 +0000
Source: laborejo
Binary: laborejo
Architecture: source all
Version: 0.4.0~ds0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 laborejo   - music notation workshop
Closes: 697593
Changes: 
 laborejo (0.4.0~ds0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #697593)
Checksums-Sha1: 
 51236639953948a8336997a73091f01e628cd9e5 1968 laborejo_0.4.0~ds0-1.dsc
 7ee066446f07d25f00c2482acd8a9dbd46fc0a39 291540 laborejo_0.4.0~ds0.orig.tar.gz
 95e80fef61e5d6fc7d5b59b334aa0e9db0db2a0a 5275 laborejo_0.4.0~ds0-1.debian.tar.gz
 49424840c92ad7c0ee4e660623f2027a6ac6f6db 280626 laborejo_0.4.0~ds0-1_all.deb
Checksums-Sha256: 
 4987d1de9a940867693235fc222263625df098ed343b206794edf705e094bfeb 1968 laborejo_0.4.0~ds0-1.dsc
 d6431ea787d536718ed454b8c9b12d2da223436529c7cc3f968176a6c66821e2 291540 laborejo_0.4.0~ds0.orig.tar.gz
 96855ca24d3223fd9bf0e40512e6bfb78cabe20c006e957da43947c8deb755bf 5275 laborejo_0.4.0~ds0-1.debian.tar.gz
 015dde244fec525519fe15835cdc34ce0a08e481d1c54c91a8160e45db9c0f80 280626 laborejo_0.4.0~ds0-1_all.deb
Files: 
 3d06139001d644c8573183c16c5b3665 1968 sound optional laborejo_0.4.0~ds0-1.dsc
 6fd370fa53793c0aae52553000649b39 291540 sound optional laborejo_0.4.0~ds0.orig.tar.gz
 b7834181ef090bb8e6c8420b3daa8462 5275 sound optional laborejo_0.4.0~ds0-1.debian.tar.gz
 ad0d86d5c9800dad1037f40d7eb4d61b 280626 sound optional laborejo_0.4.0~ds0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJQ6r/hAAoJEOikiuUxHXZapoEP/0EjdVL6VeMAm0q4nh7gyKMs
a1L2IS2eZWdRVk+dDV0P7DEAnXUs3jDEbhhy4ZKil7TupLG4nzYAk0Nan/VSKBh2
KoTxnqaAyC9qyk3dYT+pqWNESmSra2bX68uvZS21Qu9djD1lWI+Ph5OI6ijJqo1j
rVhucBNvGlL3bF3deYdnsQG1Ynv2vYY+u7utjzyDS5LSXWwdETw3VS1VbJQRrHiy
aUb1skjGkvDTv+vDbTmRW/AdpOhpTeVipQ9ZOvPUAhEy+IKiGgzh3dzkj8/EyRxM
YkO8UScj6HDkfFckBD9Sr4+uAUD9IWy4GwrXJJjwkbbm8CPTaIXJ2buKfXl6ZcXI
8re/AQwIJcvUJx2Z3J5N6hs2GWRK32RV4sZGzdtSEC44wwj2YlF6Kn7R75JMWQ1y
spOmGWFGAIl76zg1k/LZ1nKCm40tOn/XXbX5aBSjvQisPrfrfDesTwKam7i+jjDU
eklznt8Yo68dIkid/kfVVmbneCJW5seT48SXkXLrLuracV+oh19fLLGj/7JN/w4n
sYP3wxVh3pc0EUhaXRBYqZJIDRnJF9sLLI/mBgizd1NTddlPMyIEL1atA0hCy0Bk
VgJtgKsuEAkm5C1RQo1vO5v2QZYtqEQLd7D9HgjzQG8l7vjDhRzF3vhXFBpp3JpE
sRkqsvDhs4FUTDXKo3EL
=FQnI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 May 2013 07:31:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:10:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.